<?php	
	
	/*===========================================================================================================================================================
	Fonction pour ajouter le bouton dans le menu
	===========================================================================================================================================================*/
	function spipimmo_ajouterBoutons($boutons_admin)
	{
		$boutons_admin['naviguer']->sousmenu['spipimmo']= new Bouton('../'._DIR_PLUGINS.'SPIPImmo/img_pack/Menu.gif', 'SPIP-Immo');
		return $boutons_admin;
	}
	
	
	/*===========================================================================================================================================================
	Le Head
	===========================================================================================================================================================*/
	function spipimmo_header_prive($flux) 
	{
		$flux .= '<link rel="stylesheet" href="' ._DIR_PLUGIN_SPIPIMMO . 'img_pack/spipimmo.css" type="text/css" />' . "\n";
		$flux .= '<script src="' ._DIR_PLUGIN_SPIPIMMO . 'img_pack/spipimmo.js" type="text/javascript"></script>' . "\n";
		return $flux;
	}
	
	
	/*===========================================================================================================================================================
	Affichage numro de dossier
	===========================================================================================================================================================*/
	function afficher_ndossier($nDossier)
	{	
	
		global $globals_spipimmo;
	
		if(strlen($nDossier)<$globals_spipimmo["annonce_nombre_caractere"])
		{
			for($j=0; $j<($globals_spipimmo["annonce_nombre_caractere"]-strlen($nDossier)); $j++)
			{
				$nZero.="0";
			}
		}
		return($nZero . $nDossier);
	}
	

	/*===========================================================================================================================================================
	Fonction pour les listes droulantes (nombre de piece, chambres,...)
	===========================================================================================================================================================*/
	function liste_deroulante_piece($nbPieceActuel, $nbPieceTotal)
	{		
		for($i=0; $i<=$nbPieceTotal; $i++)
		{
			if(empty($nbPieceActuel) and $i==0)
			{
				$out.='<option selected="selected" value=""></option>';
			}
			if($nbPieceActuel==$i and $i!=0)
			{
				$out.='<option selected="selected" value="' . $i . '">' . $i . '</option>';
			}
			else
			{
				$out.='<option value="' . $i . '">' . $i . '</option>';
			}
		}
		return($out);
	}
	

	/*===========================================================================================================================================================
	Fonction pour redimensionner les images
	============================================================================================================================================================*/
	function redimage($img_src, $img_dest, $dst_w, $dst_h, $alt=null, $js=0)
	{
		//Dclaration des variables
		global $img;

		//Rcupration de l'extension
		$ext=substr($img_src, -3);
		$ext=strtolower($ext);
		
		$out=$ext;
		
		if (file_exists($img_src) and (($ext=="peg") || ($ext=="jpg") || ($ext=="gif") || ($ext=="png"))) 
		{
			// Lit les dimensions de l'image
			$size = GetImageSize($img_src);
			$src_w = $size[0]; 
			$src_h = $size[1];
			
			// Teste les dimensions tenant dans la zone
			$test_h = round(($dst_w / $src_w) * $src_h);
			$test_w = round(($dst_h / $src_h) * $src_w);
			
			// Si Height final non prcis (0)
			if(!$dst_h) 
			{
				$dst_h = $test_h;
			}
			
			// Sinon si Width final non prcis (0)
			else if(!$dst_w)
			{
				$dst_w = $test_w;
			}
			
			// Sinon teste quel redimensionnement tient dans la zone
			else if($test_h>$dst_h) 
			{
				$dst_w = $test_w;
			}
			else 
			{
				$dst_h = $test_h;
			}

			//On teste si l'image destinataire xiste dj
			if(!file_exists($img_dest)) 
			{
				// Cre une image vierge aux bonnes dimensions
				$dst_im = ImageCreateTrueColor($dst_w,$dst_h);
				
				// Copie dedans l'image initiale redimensionne
				switch($ext)
				{
					case "jpg" :
					case "peg" :
						$src_im = ImageCreateFromJpeg($img_src);
						ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
						ImageJpeg($dst_im,$img_dest);
						break;
					
					case "png" :
						$src_im = ImageCreateFromPng($img_src);
						ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
						ImagePng($dst_im,$img_dest);
						break;
					
					case "gif" :
						$src_im = ImageCreateFromGif($img_src);
						ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
						ImageGif($dst_im,$img_dest);
						break;
					
					default :
						$img_dest="../dist/images/logo_spip.jpg";
					
				}
				
				//Destruction des tampons
				ImageDestroy($src_im);
			}

		} 
		else 
		{
			$img_dest = "../dist/images/logo_spip.jpg";
			$widthFinale=$dst_w;
			$heigthFinale=$dst_h;
		}

		//javascript pour ouvrir l'image dans une nouvelle fentre
		$jsScript='onclick="window.open(\'' . $img_src . '\', \'image\');" style="cursor:pointer;"';

		//on met le javascript , oui ou non?
		if($js==1)
		{
			$out='<img src="' . $img_dest . '" ' . $widthFinale . $heigthFinale . ' alt="' . $alt . '" ' . $jsScript . ' />';
		}
		else
		{
			$out='<img src="' . $img_dest . '" ' . $widthFinale . $heigthFinale . ' alt="' . $alt . '" />';
		}
		return $out;
	}
?>